Subject: [Mip6] [Fwd: I-D submission]

From: Glenn Mansfield Keeni <[email-masked]>
Date: Tue, 17 Feb 2004 02:21:13 +0900

-------- Original Message --------
Subject: I-D submission
Date: Mon, 16 Feb 2004 22:07:49 +0900
From: Glenn Mansfield Keeni <[email-masked]>
Organization: Cyber Solutions Inc.
To: [email-masked] <[email-masked]>
CC: Sri Gundavelli <[email-masked]>, Ken Nagami <[email-masked]>,  KOIDE Kazuhide 
<[email-masked]>, Glenn <[email-masked]>
References: <[email-masked]> <[email-masked]> 
<[email-masked]> <[email-masked]> 
<[email-masked]> 
<[email-masked]> <[email-masked]> 
<[email-masked]>

Hi,
     Attached please find the Internet-draft

         draft-ietf-mip6-mipv6-mib-01.txt

This is a work of the ietf-mip6-wg. I will appreciate it
very much if you can kindly post the draft to the archives.

      Thanks and Cheers

            Glenn

Network Working Group                               Glenn M. Keeni
INTERNET-DRAFT                                Cyber Solutions Inc.
Expires: August 15, 2004                            Kazuhide Koide
Network Working Group                            Tohoku University
                                                    Kenichi Nagami
                                                INTEC NetCore Inc.
                                                    Sri Gundavelli
                                                Cisco Systems Inc.
                                                 February 16, 2004

                          The Mobile IPv6 MIB
                   <draft-ietf-mip6-mipv6-mib-01.txt>

Status of this Memo

   This document is an Internet-Draft and is in full conformance with
   all provisions of Section 10 of RFC2026.

   Internet-Drafts are working documents of the Internet Engineering
   Task Force (IETF), its areas, and its working groups.  Note that
   other groups may also distribute working documents as Internet-
   Drafts.

   Internet-Drafts are draft documents valid for a maximum of six months
   and may be updated, replaced, or obsoleted by other documents at any
   time.  It is inappropriate to use Internet-Drafts as reference
   material or to cite them other than as "work in progress."

   The list of current Internet-Drafts can be accessed at
   http://www.ietf.org/ietf/1id-abstracts.txt.

   The list of Internet-Draft Shadow Directories can be accessed at
   http://www.ietf.org/shadow.html.

   This Internet-Draft will expire on August 15, 2004.

Copyright Notice

   Copyright (C) The Internet Society (2004).  All Rights Reserved.

Abstract

   This memo defines a portion of the Management Information Base (MIB),
   the the Mobile-IPv6 MIB, for use with network management protocols

Expires: August 15, 2004                                        [Page 1]


Internet Draft                                         February 16, 2004

   in the Internet community. In particular, Mobile-IPv6 MIB will be used
   to monitor and control Mobile Node, Home Agent and Correspondent Node
   functions of an MIPv6 entity.

Table of Contents

   1.  The Internet-Standard Management Framework .................... 3
   2.  Overview ...................................................... 3
   3.  Mobile IPv6 Monitoring and Control Requirements ............... 4
   4.  MIB Design .................................................... 5
   5.  The Mobile-IPv6 MIB ........................................... 7
   6.  Intellectual Property .........................................39
   7.  Acknowledgments ...............................................39
   References ........................................................40
   Security Considerations ...........................................42
   Authors' Addresses ................................................44
   Full Copyright Statement ..........................................45

Expires: August 15, 2004                                        [Page 2]


Internet Draft                                         February 16, 2004

1. The Internet-Standard Management Framework

   For a detailed overview of the documents that describe the current
   Internet-Standard Management Framework, please refer to section 7 of
   RFC 3410 [RFC3410].

   Managed objects are accessed via a virtual information store, termed
   the Management Information Base or MIB.  MIB objects are generally
   accessed through the Simple Network Management Protocol (SNMP).

   Objects in the MIB are defined using the mechanisms defined in the
   Structure of Management Information (SMI).  This memo specifies a MIB
   module that is compliant to the SMIv2, which is described in STD 58,
   RFC 2578 [RFC2578], STD 58, RFC 2579 [RFC2579] and STD 58, RFC 2580
   [RFC2580].

2.  Overview

2.1 The Mobile IPv6 Protocol entities.

   Mobile IPv6 (mipv6) [MIPv6] specifies a protocol which allows nodes
   to remain reachable while moving around in the IPv6 Internet. An
   entity which implements the mipv6 protocol is an mipv6 entity. There
   are three types of entities envisaged by the mipv6 protocol.

      mobile node (MN): A node that can change its point of attachment
      from one link to another, while still being reachable via its home
      address.

      correspondent node (CN): A peer node with which a mobile node is
      communicating. The correspondent node may be either mobile or
      stationary. [Note that a corespondent node does not necessarily
      require mipv6 support.]

      home agent (HA): A router on a mobile node's home link with which
      the mobile node has registered its current care-of address. While
      the mobile node is away from home, the home agent intercepts
      packets on the home link destined to the mobile node's home address,
      encapsulates them, and routes them to the mobile node's registered
      care-of address.

   This document defines the managed objects that will be required to
   monitor and control mipv6 entities.

Expires: August 15, 2004                                        [Page 3]


Internet Draft                                         February 16, 2004

2.2 Terminology.
   The terminolgy used in this document is consistent with the
   definitions used in Mobile IPv6 protocol specification[MIPv6].

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
   document are to be interpreted as described in BCP 14, RFC 2119
   [RFC2119].

3.  Mobile IPv6 Monitoring and Control Requirements

   For managing a MIPv6 entity it is necessary to monitor
   the following
       o capabilities of MIPv6 entities
       o traffic due to MIPv6
       o binding related statistics (at HA, CN, MN )
       o binding details (at HA, CN)
       o history of binding updates (at HA, CN, MN)

   The MIPv6 protocol document stipulates that several MIPv6 related
   parameters should be manually configurable. The MIPv6 MIB should
   define managed objects that can be used to configure the related
   parameters.

Expires: August 15, 2004                                        [Page 4]


Internet Draft                                         February 16, 2004

4.  MIB Design.

   The basic principle has been to keep the MIB as simple as  possible
   and at the same time to make it effective enough so that the
   essential needs of monitoring and control are met. It is envisaged
   that wherever possible existing MIBS will be used (e.g. IPSec MIB,
   Neighbour Discovery MIB, Tunnel MIB..) for monitor and control of
   MIPv6 entities.

   The MIPv6MIB comprises of following sets of groups
       - mipv6IP: a generic group containing objects that are common
         to all the mobile IPv6  entities.
       - mipv6HA: this group models the Home Agent service. It
         comprises of objects specific to the services and associated
         advertisement parameters offerred by the Home Agent on each
         of its links. It also contains objects pertaining to the
         maintenance of the Home Agent list on each of the links on
         which the service is offered.
       - mipv6MN: this group models the Mobile Node service. It
         comprises of objects specific to the Dynamic Home Agent
         discovery function and related parameters. It also contains
         objects that record the movement of the mobile node.
       - mipv6CN: models the Correspondent Node and is primarily
         scoped to its participation in the Return Routability
         procedure for achieving.
         Route Optimization triggered by the mobile node.
       - mipv6Notifications: defines the set of notifications that
         will be used to asynchronously monitor the mobile IPv6
         entities.

   The tables contained in the above groups are as follows-
       mipv6BindingCacheTable   : contains  the BindingCache.
       mipv6BindingHistoryTable : the history of the Bindings.
       mipv6NodeTrafficTable    : the mobile node-wise traffic
                                  counters.
       mipv6MnBLTable                : contains information about the
                                  registration requests sent by the
                                  mobile node and the corresponding
                                  results.
       mipv6CnCounterTable           : contains the mobile node-wise
                                  registration statistics.
       haAdvConfTable           : contains the configurable
                                  advertisement parameters for all
                                  the interfaces on which the which
                                  the home agent service is
                                  advertised.
       haCounterTable           : contains registration statistics
                                  for all mobile nodes registered

Expires: August 15, 2004                                        [Page 5]


Internet Draft                                         February 16, 2004

                                  with the home agent.
       haListTable              : contains the list of all routers
                                  that are acting as home agents on
                                  each of the interfaces on which
                                  the home agent service is offered
                                  by this router.

Expires: August 15, 2004                                        [Page 6]


Internet Draft                                         February 16, 2004

5.  The Mobile-IPv6 MIB.

      MOBILEIPV6-MIB DEFINITIONS ::= BEGIN
       IMPORTS
         MODULE-IDENTITY,  experimental, Unsigned32, Integer32,
         Gauge32,
         OBJECT-TYPE, NOTIFICATION-TYPE
                    FROM SNMPv2-SMI
         TEXTUAL-CONVENTION,
         TruthValue, TimeStamp
                    FROM SNMPv2-TC
         MODULE-COMPLIANCE, OBJECT-GROUP
                    FROM SNMPv2-CONF
      -- SnmpAdminString
      --            FROM SNMP-FRAMEWORK-MIB
         InetAddressType, InetAddress
                    FROM INET-ADDRESS-MIB
         ipv6IfIndex
                    FROM IPV6-MIB
         ;

     mipv6MIB MODULE-IDENTITY
          LAST-UPDATED "200310210000Z"        --  21th October, 2003
          ORGANIZATION "IETF mip6 Working Group"
          CONTACT-INFO
         "                      Glenn Mansfield Keeni
                        Postal: Cyber Solutions Inc.
                                6-6-3, Minami Yoshinari
                                Aoba-ku, Sendai, Japan 989-3204.
                           Tel: +81-22-303-4012
                           Fax: +81-22-303-4015
                        E-mail: [email-masked]

                                Kenichi Nagami
                        Postal: INTEC NetCore Inc.
                                1-3-3, Shin-suna
                                Koto-ku, Tokyo, 135-0075
                                Japan

                           Tel: +81-3-5665-5069
                        E-mail: [email-masked]

                        Postal: Kazuhide Koide
                                Tohoku University
                                Katahira Campus
                                Sendai
                                Japan

Expires: August 15, 2004                                        [Page 7]


Internet Draft                                         February 16, 2004

                           Tel: +81-22-217-5454
                        E-mail: [email-masked]

                                Sri Gundavelli
                        Postal: Cisco Systems
                                170 W.Tasman Drive,
                                San Jose, CA 95134
                                USA

                           Tel: +1-408-527-6109
                         Email: [email-masked]

             Support Group E-mail: [email-masked]"

             DESCRIPTION
                     " The MIB for monitoring Mobile-IPv6  entities.
                       Copyright (C) The Internet Society (2003). This version
                       of this MIB module is part of RFC xxxx;  see the RFC
                       itself for full legal notices.
                     "
      -- RFC Ed.: replace xxxx with actual RFC number & remove this note

             REVISION    "200310210000Z"      -- 21th October, 2003
             DESCRIPTION "Initial version, published as RFC yyyy."

      -- RFC Ed.: replace yyyy with actual RFC number & remove this note

                  ::= { experimental 999 } -- will be assigned by IANA

       -- The major groups

       mipv6Notifications        OBJECT IDENTIFIER ::= { mipv6MIB 0 }
       mipv6Objects              OBJECT IDENTIFIER ::= { mipv6MIB 1 }
       mipv6Conformance          OBJECT IDENTIFIER ::= { mipv6MIB 2 }
       mipv6Core                 OBJECT IDENTIFIER ::= { mipv6Objects 1 }
       mipv6MN                   OBJECT IDENTIFIER ::= { mipv6Objects 2 }
       mipv6CN                   OBJECT IDENTIFIER ::= { mipv6Objects 3 }
       mipv6HA                   OBJECT IDENTIFIER ::= { mipv6Objects 4 }

       -- The sub groups

       mipv6System               OBJECT IDENTIFIER ::= { mipv6Core 1 }
       mipv6Bindings             OBJECT IDENTIFIER ::= { mipv6Core 2 }
       mipv6Stats                OBJECT IDENTIFIER ::= { mipv6Core 3 }

Expires: August 15, 2004                                        [Page 8]


Internet Draft                                         February 16, 2004

       mipv6MNSystem             OBJECT IDENTIFIER ::= { mipv6MN 1 }
       mipv6MNDiscovery          OBJECT IDENTIFIER ::= { mipv6MN 2 }
       mipv6MNRegistration       OBJECT IDENTIFIER ::= { mipv6MN 3 }

       mipv6CNSystem             OBJECT IDENTIFIER ::= { mipv6CN 1 }
       mipv6CNStats              OBJECT IDENTIFIER ::= { mipv6CN 2 }

       mipv6HAAdvertisement      OBJECT IDENTIFIER ::= { mipv6HA 1 }
       mipv6HAStats              OBJECT IDENTIFIER ::= { mipv6HA 2 }

      -- Textual Conventions
       Mipv6ServiceDeniedCode ::= TEXTUAL-CONVENTION
              STATUS        current
              DESCRIPTION
                      "The value of the status field in the Binding Ack
                       message when the binding update was rejected.
                      "
              SYNTAX  BITS {
                           reasonUnspecified               (1),  -- (Code 128),
                           admProhibited                   (2),  -- (Code 129),
                           insufficientResource            (3),  -- (Code 130),
                           homeRegistrationNotSupported    (4),  -- (Code 131),
                           notHomeSubnet                   (5),  -- (Code 132),
                           notHomeAgentForThisMobileNode   (6),  -- (Code 133),
                           duplicateAddressDetectionFailed (7),  -- (Code 134),
                           sequenceNumberOutOfWindow       (8),  -- (Code 135),
                           expiredHomeNonceIndex           (9),  -- (Code 136),
                           expiredCareofNonceIndex         (10), -- (Code 137),
                           expiredNonces                   (11), -- (Code 138),
                           registrationTypeChangeDisallowed(12)  -- (Code 139)
                          }

       mipv6Entities OBJECT-TYPE
           SYNTAX      BITS {
                            mobileNode         (0),
                            homeAgent          (1),
                            correspondentNode  (2)
                       }
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "This object describes which Mobile IP entities are
                   supported by this managed entity.  The entity may
                   support more than one Mobile IP entities.  For example,
                   the entity supports both Mobile Node (MN) and Home
                   Agent (HA).  Therefore, bit 0 and bit 1 are set to 1

Expires: August 15, 2004                                        [Page 9]


Internet Draft                                         February 16, 2004

                   for this object."
           ::= { mipv6System 1 }

       mipv6Enable OBJECT-TYPE
           SYNTAX      INTEGER { enabled(1), disabled(2) }
           MAX-ACCESS  read-write
           STATUS      current
           DESCRIPTION
                   "Indicates whether the Mobile IP protocol should be
                   enabled for the managed entity.  If it is disabled, the
                   entity should disable both agent discovery and
                   registration functions."
           ::= { mipv6System 2 }

       mipv6BindingCacheSupported   OBJECT-TYPE
           SYNTAX      TruthValue
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Indicates whether binding cache is supported.
                   "
           ::= { mipv6System 3 }

       -- mipv6BindingCache

        mipv6BindingCacheTable OBJECT-TYPE
           SYNTAX      SEQUENCE OF Mipv6BindingCacheEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "A table containing BindingCache."
           ::= { mipv6Bindings 1 }

        mipv6BindingCacheEntry OBJECT-TYPE
           SYNTAX      Mipv6BindingCacheEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "The details of a particular Binding."
           INDEX   { mipv6BindingHomeAddressType, mipv6BindingHomeAddress }
           ::= { mipv6BindingCacheTable 1 }

        Mipv6BindingCacheEntry ::=
           SEQUENCE {
            mipv6BindingHomeAddressType   InetAddressType,
            mipv6BindingHomeAddress       InetAddress,
            mipv6BindingCOAType           InetAddressType,

Expires: August 15, 2004                                       [Page 10]


Internet Draft                                         February 16, 2004

            mipv6BindingCOA               InetAddress,
            mipv6BindingMaxSeq            Unsigned32,
            mipv6BindingTimeGranted       Unsigned32,
            mipv6BindingTimeCreated       TimeStamp,
            mipv6BindingTimeRemaining     Gauge32
           }

       mipv6BindingHomeAddressType OBJECT-TYPE
           SYNTAX      InetAddressType
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "The InetAddressType  of the mipv6BindingHomeAddress
                    that follows.
                   "
           ::= { mipv6BindingCacheEntry 1 }

       mipv6BindingHomeAddress OBJECT-TYPE
           SYNTAX      InetAddress (SIZE (16|20))
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "Mobile node's home address.
                   "
           ::= { mipv6BindingCacheEntry 2 }

       mipv6BindingCOAType   OBJECT-TYPE
           SYNTAX      InetAddressType
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The InetAddressType of the mipv6BindingCOA that follows.
                   "
           ::= { mipv6BindingCacheEntry 3 }

       mipv6BindingCOA   OBJECT-TYPE
           SYNTAX      InetAddress
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Mobile node's care-of-address.  One mobile node can
                   have multiple bindings with different
                   care-of-addresses."
           ::= { mipv6BindingCacheEntry 4 }

        mipv6BindingMaxSeq OBJECT-TYPE
           SYNTAX      Unsigned32

Expires: August 15, 2004                                       [Page 11]


Internet Draft                                         February 16, 2004

           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The maximum value of the Sequence Number field sent in
                    previous Binding Updates to this node.
                   "
           ::= { mipv6BindingCacheEntry 5 }

        mipv6BindingTimeGranted OBJECT-TYPE
           SYNTAX      Unsigned32
           UNITS       "seconds"
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The lifetime in seconds granted to the mobile node
                   for this registration."
           ::= { mipv6BindingCacheEntry 6 }

       mipv6BindingTimeCreated OBJECT-TYPE
           SYNTAX      TimeStamp
           UNITS       "seconds"
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The time when this binding cache entry was created
              by registering the binding.
                   "
           ::= { mipv6BindingCacheEntry 7 }

       mipv6BindingTimeRemaining OBJECT-TYPE
           SYNTAX      Gauge32
           UNITS       "seconds"
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The lifetime remaining for this entry.
                   "
           ::= { mipv6BindingCacheEntry 8 }

       -- mipv6BindingHistory

       -- This table records the history of the Bindings. The size of the
       -- will be left to implementors.
        mipv6BindingHistoryTable OBJECT-TYPE
           SYNTAX      SEQUENCE OF Mipv6BindingHistoryEntry
           MAX-ACCESS  not-accessible
           STATUS      current

Expires: August 15, 2004                                       [Page 12]


Internet Draft                                         February 16, 2004

           DESCRIPTION
                   "A table containing history of the bindings.
                   "
           ::= { mipv6Bindings 2 }

        mipv6BindingHistoryEntry OBJECT-TYPE
           SYNTAX      Mipv6BindingHistoryEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "The record of a binding ."
           INDEX   { mipv6BindingHstHomeAddressType,
                     mipv6BindingHstHomeAddress ,
                     mipv6BindingHstIndex}
           ::= { mipv6BindingHistoryTable 1 }

        Mipv6BindingHistoryEntry ::=
           SEQUENCE {
            mipv6BindingHstHomeAddressType   InetAddressType,
            mipv6BindingHstHomeAddress       InetAddress,
            mipv6BindingHstCOAType           InetAddressType,
            mipv6BindingHstCOA               InetAddress,
            mipv6BindingHstIndex             Unsigned32,
            mipv6BindingHstTimeStamp         TimeStamp
           }

       mipv6BindingHstHomeAddressType OBJECT-TYPE
           SYNTAX      InetAddressType
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "The InetAddressType  of the mipv6BindingHomeAddress
                    that follows.
                   "
           ::= { mipv6BindingHistoryEntry 1 }

       mipv6BindingHstHomeAddress OBJECT-TYPE
           SYNTAX      InetAddress (SIZE (16|20))
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "Mobile node's home (IP) address.
                   "
           ::= { mipv6BindingHistoryEntry 2 }

       mipv6BindingHstCOAType   OBJECT-TYPE
           SYNTAX      InetAddressType
           MAX-ACCESS  read-only

Expires: August 15, 2004                                       [Page 13]


Internet Draft                                         February 16, 2004

           STATUS      current
           DESCRIPTION
                   "The InetAddressType of the mipv6BindingCOA that follows.
                   "
           ::= { mipv6BindingHistoryEntry 3 }

       mipv6BindingHstCOA   OBJECT-TYPE
           SYNTAX      InetAddress
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Mobile node's care-of-address.  One mobile node can
                   have multiple bindings with different
                   care-of-addresses."
           ::= { mipv6BindingHistoryEntry 4 }

       mipv6BindingHstIndex OBJECT-TYPE
           SYNTAX      Unsigned32
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "The index to uniquely identify this record along with the
                    Mobile nodes HomeAddress type and HomeAddress. It should
                    be monotonically increasing. And may wrap after reaching
                    its max value."
           ::= { mipv6BindingHistoryEntry 5 }

        mipv6BindingHstTimeStamp OBJECT-TYPE
           SYNTAX      TimeStamp
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The timestamp when the binding was registered."
           ::= { mipv6BindingHistoryEntry 6 }

       -- mipv6MNSystem Group

       mipv6MnState OBJECT-TYPE
           SYNTAX      INTEGER {
                               home(1),
                               registered(2),
                               pending(3),
                               isolated(4),
                               unknown(5)
                       }
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION

Expires: August 15, 2004                                       [Page 14]


Internet Draft                                         February 16, 2004

                   "Indicates mobile node's state of Mobile IP:
                        home,          -- MN is connected to home network.
                        registered,    -- MN is on a foreign network and has registered with the
                                          Home agent
                        pending,       -- MN has sent registration request
                                       -- and is waiting for the reply
                        isolated,      -- MN is isolated from network
                        unknown        -- MN can not determine its state."
           ::= { mipv6MNSystem 1 }

       mipv6MnHomeAddressType OBJECT-TYPE
           SYNTAX      InetAddressType
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The InetAddressType  of the mipv6MnHomeAddress that follows.
                   "
           ::= { mipv6MNSystem 2 }

       -- Specify the default value

       mipv6MnHomeAddress OBJECT-TYPE
           SYNTAX      InetAddress
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "An IP address that is assigned for an extended period
                   of time to the mobile node.  It remains unchanged
                   regardless of the mobile node's current point of
                   attachment.  If mobile node doesn't have home address
                   assigned yet then this object will take the default
                   value."
           ::= { mipv6MNSystem 3 }

       -- This needs to be in a history table too.

       mipv6MnRecentAdvReceived OBJECT IDENTIFIER ::= { mipv6MNDiscovery 1 }

       mipv6MnAdvSourceAddressType OBJECT-TYPE
           SYNTAX      InetAddressType
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The InetAddressType of the mipv6MnAdvSourceAddress that
                    follows.
                   "
           ::= { mipv6MnRecentAdvReceived 1 }

Expires: August 15, 2004                                       [Page 15]


Internet Draft                                         February 16, 2004

       mipv6MnAdvSourceAddress OBJECT-TYPE
           SYNTAX      InetAddress
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The source IP address of the most recently received
                   Router Advertisement.  This address could be the address
                   of a home agent or a foreign router."
           ::= { mipv6MnRecentAdvReceived 2 }

       mipv6MnAdvMaxAdvLifetime OBJECT-TYPE
           SYNTAX      Integer32 (1..65535)
           UNITS       "seconds"
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The maximum length of time that the Advertisement is
                   considered valid in the absence of further
                   Advertisements."
           REFERENCE
                   "AdvertisementLifeTime in RFC1256."
           ::= { mipv6MnRecentAdvReceived 3 }

       mipv6MnAdvTimeReceived OBJECT-TYPE
           SYNTAX      TimeStamp
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The time at which the most recently received
                   advertisement was received."
           ::= { mipv6MnRecentAdvReceived 4 }

       -- mipv6TrafficCounters

        mipv6TotalTraffic OBJECT IDENTIFIER ::= { mipv6Stats 1 }

        mipv6InOctets  OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The mipv6 Octets received by the mipv6 entity.
                   "
           ::= { mipv6TotalTraffic 1 }

        mipv6InPkts    OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only

Expires: August 15, 2004                                       [Page 16]


Internet Draft                                         February 16, 2004

           STATUS      current
           DESCRIPTION
                   "The mipv6 Pkts received by the mipv6 entity.
                   "
           ::= { mipv6TotalTraffic 2 }

        mipv6OutOctets  OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The number of mipv6 Octets sent by the mipv6 entity.
                   "
           ::= { mipv6TotalTraffic 3 }

        mipv6OutPkts    OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The number of mipv6 Pkts sent by the mipv6 entity.
                   "
           ::= { mipv6TotalTraffic 4 }

       -- mipv6NodeTrafficCounters

        mipv6NodeTrafficTable OBJECT-TYPE
           SYNTAX      SEQUENCE OF Mipv6NodeTrafficEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "A table containing Traffic counters per mobile node."
           ::= { mipv6Stats 2 }

        mipv6NodeTrafficEntry OBJECT-TYPE
           SYNTAX      Mipv6NodeTrafficEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "The traffic counters for a mobile node."
           INDEX   { mipv6BindingHomeAddressType, mipv6BindingHomeAddress }
           ::= { mipv6NodeTrafficTable 1 }

        Mipv6NodeTrafficEntry ::=
           SEQUENCE {
                 mipv6NodeInOctets      Counter32,
              -- mipv6NodeHCInOctets    Counter64,
                 mipv6NodeInPkts        Counter32,

Expires: August 15, 2004                                       [Page 17]


Internet Draft                                         February 16, 2004

              -- mipv6NodeHCInPkts      Counter64,
                 mipv6NodeOutOctets     Counter32,
              -- mipv6NodeHCOutOctets   Counter64,
                 mipv6NodeOutPkts       Counter32
              -- mipv6NodeHCOutPkts     Counter64
           }

        mipv6NodeInOctets  OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The mipv6 octets received for the mobile node.
                   "
           ::= { mipv6NodeTrafficEntry 1 }

        mipv6NodeInPkts    OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The mipv6 packets received for the mobile node.
                   "
           ::= { mipv6NodeTrafficEntry 2 }

        mipv6NodeOutOctets  OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The number of mipv6Node octets sent to the mobile node.
                   "
           ::= { mipv6NodeTrafficEntry 3 }

        mipv6NodeOutPkts    OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The number of mipv6 packets sent to the mobile node.
                   "
           ::= { mipv6NodeTrafficEntry 4 }

       -- Mobile Node Discovery Group Counter

       mipv6MnSolicitationsSent OBJECT-TYPE
           SYNTAX      Counter32

Expires: August 15, 2004                                       [Page 18]


Internet Draft                                         February 16, 2004

           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of solicitations sent by the mobile
                    node."
              ::= { mipv6MNDiscovery 2 }

       mipv6MnAdvertisementsReceived OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of advertisements received by the mobile
                   node."
           ::= { mipv6MNDiscovery 3 }

       mipv6MnAdvertisementsIgnored OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of advertisements discarded by the
              validity check.
                   "
           ::= { mipv6MNDiscovery 4 }

       mipv6MnMoveFromFNToFN OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Number of times that the mobile node has decided to
                   move from one foreign network to another foreign
                   network."
           ::= { mipv6MNDiscovery 5 }

       mipv6MnMoveFromFNToHN OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Number of times that the mobile node has decided to
                   move from a foreign network to its home network."
           ::= { mipv6MNDiscovery 6 }

       mipv6MnAgentRebootsDectected OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only

Expires: August 15, 2004                                       [Page 19]


Internet Draft                                         February 16, 2004

           STATUS      current
           DESCRIPTION
                   "Total number of home agent reboots detected by the mobile
                   node through sequence number of the advertisement."
           ::= { mipv6MNDiscovery 7 }

       -- Mobile Node Registration Group

       -- Registration table of mobile node

       mipv6MnBLTable OBJECT-TYPE
           SYNTAX      SEQUENCE OF MnRegistrationEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "A table containing information about the mobile
                   node's attempted registration(s).  The mobile node
                   updates this table based upon Registration Requests
                   sent and Registration Replies received in response to
                   these requests.  Certain variables within this table
                   are also updated if when Registration Requests are
                   retransmitted."
           ::= { mipv6MNRegistration 1 }

       mipv6MnBLEntry OBJECT-TYPE
           SYNTAX      MnRegistrationEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "Information about one registration attempt."
           INDEX { mipv6MnBLNodeAddressType,
                   mipv6MnBLNodeAddress,
                   mipv6MnBLCOAType,
                   mipv6MnBLCOA
                 }
           ::= { mipv6MnBLTable 1 }

       MnRegistrationEntry ::= SEQUENCE {
           mipv6MnBLNodeAddressType   InetAddressType,
           mipv6MnBLNodeAddress       InetAddress,
           mipv6MnBLCOAType           InetAddressType,
           mipv6MnBLCOA               InetAddress,
           mipv6MnBLMaxSeq            Unsigned32,
           mipv6MnBLLifeTime          Unsigned32,
           mipv6MnBLLifeTimeRemaining Gauge32,
           mipv6MnBLTimeSent          TimeStamp,
           mipv6MnBLIsAccepted        TruthValue,
      --   mipv6MnBLSendState         Integer32,

Expires: August 15, 2004                                       [Page 20]


Internet Draft                                         February 16, 2004

           mipv6MnBLRetransmissions   Integer32,
           mipv6MnBLRetransTime       TimeStamp
           }

       mipv6MnBLNodeAddressType OBJECT-TYPE
           SYNTAX      InetAddressType
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                    "The InetAddressType of the mipv6MnBLNodeAddress
                     that follows.
                    "
           ::= { mipv6MnBLEntry 1 }

       mipv6MnBLNodeAddress OBJECT-TYPE
           SYNTAX      InetAddress (SIZE (16|20))
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                    "IP address of the agent as used in the destination
                    IP address of the Registration Request.  The agent
                    may be a home agent or a correspondent node."
           ::= { mipv6MnBLEntry 2 }

       mipv6MnBLCOAType OBJECT-TYPE
           SYNTAX      InetAddressType
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                    "The InetAddressType of the mipv6MnBLCOA that follows.
                    "
           ::= { mipv6MnBLEntry 3 }

       mipv6MnBLCOA OBJECT-TYPE
           SYNTAX      InetAddress (SIZE (16|20))
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "Care-of address for the registration."
           ::= { mipv6MnBLEntry 4 }

       mipv6MnBLMaxSeq OBJECT-TYPE
           SYNTAX      Unsigned32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The maximum value of the Sequence Number field sent in
                    previous Binding Updates to this destination.

Expires: August 15, 2004                                       [Page 21]


Internet Draft                                         February 16, 2004

                   "
           ::= { mipv6MnBLEntry 5 }

       mipv6MnBLLifeTime OBJECT-TYPE
           SYNTAX      Unsigned32
           UNITS       "seconds"
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "If the registration is pending, then this is the
                   lifetime requested by the mobile node (in seconds).
                   If the registration has been accepted, then this is
                   the lifetime actually granted by the home agent or
                   the correspondent node in the reply."
           ::= { mipv6MnBLEntry 6 }

       mipv6MnBLLifeTimeRemaining OBJECT-TYPE
           SYNTAX      Gauge32
           UNITS       "seconds"
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The number of seconds remaining until this
                   registration expires.  It has the same initial value
                   as mipv6MnBLTimeRequested and is only valid if
                   mipv6MnBLIsAccepted is TRUE."
           ::= { mipv6MnBLEntry 7 }

       mipv6MnBLTimeSent OBJECT-TYPE
           SYNTAX      TimeStamp
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The time when the last (re-)transmission occurred."
           ::= { mipv6MnBLEntry 8 }

       mipv6MnBLIsAccepted OBJECT-TYPE
           SYNTAX      TruthValue
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "true(1) if the mobile node has received a
                   binding acknowledgment indicating that service has been
                   accepted (status code 0 or 1); false(2) otherwise.
                   false(2) implies that the registration is still pending."
           ::= { mipv6MnBLEntry 9 }

       mipv6MnBLRetransmissions  OBJECT-TYPE

Expires: August 15, 2004                                       [Page 22]


Internet Draft                                         February 16, 2004

           SYNTAX      Integer32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The number of Binding Update retransmissions sent.
                   "
           ::= { mipv6MnBLEntry 10 }

       mipv6MnBLRetransTime  OBJECT-TYPE
           SYNTAX      TimeStamp
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The time when the last Binding Update retransmission
                    was sent.
                   "
           ::= { mipv6MnBLEntry 11 }

       -- Mobile Node Registration Group Counters

       mipv6MnRegnCounters OBJECT IDENTIFIER ::= { mipv6MNRegistration 2 }

       mipv6MnControlMessagePackets OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The number of of MobileIPv6 control messages sent
                    by the Mobile Node. These are the IPv6 datagrams
                    with a mobility header."
           ::= {  mipv6MnRegnCounters 1 }

       mipv6MnBUsToHA  OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Binding Updates sent to Home Agent. "
           ::= {  mipv6MnRegnCounters 2 }

       mipv6MnBUAcksFromHA  OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of valid binding acknowledgements received
                    from all the home agents.
                   "

Expires: August 15, 2004                                       [Page 23]


Internet Draft                                         February 16, 2004

           ::= {  mipv6MnRegnCounters 3 }

       mipv6MnBUToCN OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Binding Updates sent to
              all the Correspondent Nodes by the MN.
                   "
           ::= {  mipv6MnRegnCounters 4 }

       mipv6MnBUAcksFromCN OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of valid Binding Update ACKs
                    received from all the Correspondent Nodes.
                   "
           ::= {  mipv6MnRegnCounters 5 }

       mipv6MnBindingErrorsFromCN OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Binding Error messages received
                    by MN from CN.
                   "
           ::= {  mipv6MnRegnCounters 6 }

       mipv6MnICMPErrorReceived OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of ICMP Error messages received by
                    MN from CN.
                   "
           ::= {  mipv6MnRegnCounters 7 }

       mipv6MnBRRequestsReceived OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The total number of Binding Refresh requests

Expires: August 15, 2004                                       [Page 24]


Internet Draft                                         February 16, 2004

                    received by the mobile node from all CNs."
           ::= {  mipv6MnRegnCounters 8 }

       mipv6MnBLDynAgDiscoverySent OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The total number of ICMP Dynamic Home Agent Address
                 Discovery Request sent to the Mobile IPv6 Home-Agents
                    anycast address.
                   "
           ::= {  mipv6MnRegnCounters 9 }

       -- Registration Group counters used for CN
       mipv6CNGlobalStats OBJECT IDENTIFIER ::= { mipv6CNStats 1 }

       mipv6CnBUAccepted   OBJECT-TYPE            -- (Code 0)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   " Total number of Binding Updates Accepted."
           ::= { mipv6CNGlobalStats 1 }

       mipv6CnReasonUnspecified OBJECT-TYPE               -- (Code 128)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of binding update requests denied by
                    the correspondent node with reason unspecified
                    (Code 128)."
           ::= { mipv6CNGlobalStats 2 }

       mipv6CnAdmProhibited OBJECT-TYPE                   -- (Code 129)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of binding update requests denied by
                    correspondent node with reason 'administratively
                    prohibited' (Code 129)."
           ::= { mipv6CNGlobalStats 3 }

       mipv6CnInsufficientResource OBJECT-TYPE            -- (Code 130)
           SYNTAX      Counter32
           MAX-ACCESS  read-only

Expires: August 15, 2004                                       [Page 25]


Internet Draft                                         February 16, 2004

           STATUS      current
           DESCRIPTION
                   "Total number of binding update requests denied by
                    the correspondent node with reason 'insufficient
                    resources' (Code 130)."
           ::= { mipv6CNGlobalStats 4 }

       mipv6CnHomeRegnNotSupported OBJECT-TYPE    -- (Code 131)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                  "Total number of binding update requests denied by
                   correspondent node wth reason 'mobile node failed
                   authentication' (Code 131)."
           ::= { mipv6CNGlobalStats 5 }

       mipv6CnNotHomeSubnet OBJECT-TYPE                   -- (Code 132)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of binding update requests denied by
                   correspondent node wth reason 'not home subnet'
                   (Code 132). "
           ::= { mipv6CNGlobalStats 6 }

       mipv6CnNotHomeAgentForThisMN OBJECT-TYPE           -- (Code 133)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of registration requests denied by
                    correspondent node wth reason 'not home home agent
                    for this MN' (Code 133).
                   "
           ::= { mipv6CNGlobalStats 7 }

       mipv6CnSeqNumberOutOfWindow OBJECT-TYPE            -- (Code 135)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Registration Requests denied by
                    correspondent node with message 'sequence number out
                    of window' (Code 135).
                   "
           ::= { mipv6CNGlobalStats 8 }

Expires: August 15, 2004                                       [Page 26]


Internet Draft                                         February 16, 2004

       mipv6CnExpiredHomeNonceIndex OBJECT-TYPE           -- (Code 136)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The total number of Registration Requests denied by
                    correspondent due to unrecognized/expired Home Nonce
                    Index value (Code 136).
                   "
           ::= { mipv6CNGlobalStats 9 }

       mipv6CnExpiredCareOfNonceIndex OBJECT-TYPE         -- (Code 137)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The total number of Registration Requests denied by
                    correspondent node due to unrecognized/expired
                    Care-of Nonce Index (Code 137).
                   "
           ::= { mipv6CNGlobalStats 10 }

       mipv6CnExpiredNonce OBJECT-TYPE                    -- (Code 138)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The total number of Registration Requests denied by
                    correspondent node due to unrecognized/expired Home
                    Nonce Index and Care-of Nonce Index values (Code 138).
                   "
           ::= { mipv6CNGlobalStats 11 }

       mipv6CnRegTypeChangeDisallowed OBJECT-TYPE         -- (Code 139)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The total number of Registration Requests denied by
                    correspondent node due to mismatch of the home
                    registration flag in the existing binding and the
                    value of the Home Registration (H) bit in the Binding
                    Update (Code 139).
                   "
           ::= { mipv6CNGlobalStats 12 }

       mipv6CnCareOfTestInitReceived     OBJECT-TYPE
           SYNTAX      Counter32

Expires: August 15, 2004                                       [Page 27]


Internet Draft                                         February 16, 2004

           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of CoTIs received."
           ::= { mipv6CNGlobalStats 13 }

       mipv6CnHomeTestInitReceived     OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of HoTIs received."
           ::= { mipv6CNGlobalStats 14 }

       mipv6CnCareOfTestSent          OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of CoTs sent."
           ::= { mipv6CNGlobalStats 15 }

       mipv6CnHomeTestSent       OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of HoT sent."
           ::= { mipv6CNGlobalStats 16 }

       mipv6CnBUReceived     OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of binding updates received."
           ::= { mipv6CNGlobalStats 17 }

       mipv6CnBURepliesSent OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of acknowledgments sent for
                    binding updates received. "
           ::= { mipv6CNGlobalStats 18 }

       mipv6CnBRSent     OBJECT-TYPE

Expires: August 15, 2004                                       [Page 28]


Internet Draft                                         February 16, 2004

           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of binding refresh requests
                    sent "
           ::= { mipv6CNGlobalStats 19 }

        mipv6CnBindingErrors OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of binding errors sent.
                   "
           ::= { mipv6CNGlobalStats 20 }

       -- The Correspondent Node statistics by mobile node

       mipv6CnCounterTable OBJECT-TYPE
           SYNTAX      SEQUENCE OF CnCounterEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "A table containing CN counters."
           ::= { mipv6CNStats 2 }

       mipv6CnCounterEntry OBJECT-TYPE
           SYNTAX      CnCounterEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "The set of CN counters for a mobile node."
           INDEX   {    mipv6BindingHomeAddressType,
                        mipv6BindingHomeAddress
                   }
           ::= { mipv6CnCounterTable 1 }

       CnCounterEntry ::=
           SEQUENCE {
              mipv6CnServiceRequestsAccepted   Counter32,
              mipv6CnServiceRequestsDenied     Counter32,
              mipv6CnOverallServiceTime        Counter32,
              mipv6CnRecentServiceAcceptedTime TimeStamp,
              mipv6CnRecentServiceDeniedTime   TimeStamp,
              mipv6CnRecentServiceDeniedCode   Mipv6ServiceDeniedCode
           }

Expires: August 15, 2004                                       [Page 29]


Internet Draft                                         February 16, 2004

       mipv6CnServiceRequestsAccepted OBJECT-TYPE   --(Code 0+1)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of binding acknowledgment messages sent
                    with accepted by correspondent node. Values of the status
                    field of the binding acknowledgment message is less than
                    128.
                   "
           ::= { mipv6CnCounterEntry 1 }

       mipv6CnServiceRequestsDenied     OBJECT-TYPE -- (Code 128 through Code 159)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of binding service request refusal messages sent
                    by corespondent node. Values of the Status field of
                    the binding acknowledgment message is equal to or greater
                    than 128.
                   "
           ::= { mipv6CnCounterEntry 2 }

       mipv6CnOverallServiceTime        OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Overall service time (in seconds) that has accumulated for
                    the mobile node.
                   "
           ::= { mipv6CnCounterEntry 3 }

       mipv6CnRecentServiceAcceptedTime OBJECT-TYPE
           SYNTAX      TimeStamp
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The time at which the most recent binding update message
                    was accepted by the corespondent node.
                   "
           ::= { mipv6CnCounterEntry 4 }

       mipv6CnRecentServiceDeniedTime   OBJECT-TYPE
           SYNTAX      TimeStamp
           MAX-ACCESS  read-only
           STATUS      current

Expires: August 15, 2004                                       [Page 30]


Internet Draft                                         February 16, 2004

           DESCRIPTION
                   "The time at which the most recent binding update message
                    was denied by the corespondent node.
                   "
           ::= { mipv6CnCounterEntry 5 }

          mipv6CnRecentServiceDeniedCode  OBJECT-TYPE
              SYNTAX      Mipv6ServiceDeniedCode
              MAX-ACCESS  read-only
              STATUS      current
              DESCRIPTION
                     "The Code indicating the reason why the most recent
                      Registration Request for this mobile node was
                      rejected by the corespondent node.
                     "
              ::= { mipv6CnCounterEntry 6 }

       -- Home agent group

       haAdvertisementsReceived OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of valid Router Advertisements
                    received with the Home Agent (H) bit set on
                    all the links on which it is serving as a Home
                    Agent.
                   "
           ::= { mipv6HAAdvertisement 1 }

       haAdvConfTable OBJECT-TYPE
           SYNTAX      SEQUENCE OF HaAdvertConfEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                  "A table containing configurable advertisement
                   parameters for all interfaces on which the
                   which the home agent service is advertised.
                  "
           ::= { mipv6HAAdvertisement 2 }

       haAdvConfEntry OBJECT-TYPE
           SYNTAX      HaAdvertConfEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION

Expires: August 15, 2004                                       [Page 31]


Internet Draft                                         February 16, 2004

                  "Advertisement parameters for one advertisement
                   interface.
                  "
           INDEX   { ipv6IfIndex }
           ::= { haAdvConfTable 1 }

       HaAdvertConfEntry    ::= SEQUENCE {
             haAdvLifetime                 Integer32,
             haAdvPreference               Integer32
           }

       haAdvLifetime   OBJECT-TYPE
           SYNTAX      Integer32 (1..65535)
           UNITS       "seconds"
           MAX-ACCESS  read-create
           STATUS      current
           DESCRIPTION
                  "The lifetime value for the home agent to be
                   used in the Router advertisements.
                  "
           ::= { haAdvConfEntry 1 }

       haAdvPreference OBJECT-TYPE
           SYNTAX      Integer32 (4..1800)
           MAX-ACCESS  read-create
           STATUS      current
           DESCRIPTION
                  "The preference value for the home agent to
                   be used in the Router advertisements. Higher
                   value denotes greater preferable.
                  "
           ::= { haAdvConfEntry 2 }

       -- Registration Group counters HA

       mipv6HAGlobalStats OBJECT IDENTIFIER ::= { mipv6HAStats 1 }
       mipv6HaBUAccepted   OBJECT-TYPE         -- (Code 0)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   " Total number of Binding Updates accepted by this HA."
           ::= { mipv6HAGlobalStats 1 }

       mipv6HaPrefDiscoverReqd OBJECT-TYPE        -- (Code 1)
           SYNTAX      Counter32
           MAX-ACCESS  read-only

Expires: August 15, 2004                                       [Page 32]


Internet Draft                                         February 16, 2004

           STATUS      current
           DESCRIPTION
                   "The total number of 'prefix discovery necessary'
                    messages sent by the HA."
           ::= { mipv6HAGlobalStats 2 }

       mipv6HaReasonUnspecified OBJECT-TYPE               -- (Code 128)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Registration Requests denied by home
                   agent -- reason unspecified (Code 128)."
           ::= { mipv6HAGlobalStats 3 }

       mipv6HaAdmProhibited OBJECT-TYPE                   -- (Code 129)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Registration Requests denied by home
                   agent -- administratively prohibited (Code 129)."
           ::= { mipv6HAGlobalStats 4 }

       mipv6HaInsufficientResource OBJECT-TYPE            -- (Code 130)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Registration Requests denied by home
                   agent -- insufficient resources (Code 130)."
           ::= { mipv6HAGlobalStats 5 }

       mipv6HaHomeRegnNotSupported OBJECT-TYPE    -- (Code 131)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                  "Total number of Registration Requests denied by home
                   agent -- mobile node failed authentication (Code 131)."
           ::= { mipv6HAGlobalStats 6 }

       mipv6HaNotHomeSubnet OBJECT-TYPE                   -- (Code 132)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   " The total number of Registration Requests denied by

Expires: August 15, 2004                                       [Page 33]


Internet Draft                                         February 16, 2004

                     home agent with message 'not home subnet' (Code 132)."
           ::= { mipv6HAGlobalStats 7 }

       mipv6HaNotHomeAgentForThisMN OBJECT-TYPE           -- (Code 133)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Registration Requests denied by home
                    agent with message 'not home agent for this MN' (Code 133)"
           ::= { mipv6HAGlobalStats 8 }

       mipv6HaDupAddrDetectionFailed OBJECT-TYPE       -- (Code 134)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Registration Requests denied by home
                    agent with message 'duplicate address detection failed'
                    (Code 134)"
           ::= { mipv6HAGlobalStats 9 }

       mipv6HaSeqNumberOutOfWindow OBJECT-TYPE            -- (Code 135)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Registration Requests denied by home
                    agent with message 'sequence number out of window'
                    (Code 135)
                    "
           ::= { mipv6HAGlobalStats 10 }

       mipv6HaExpiredHomeNonceIndex OBJECT-TYPE           -- (Code 136)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   " The total number of Registration Requests denied by
                     home agent due to unrecognized/expired Home Nonce
                     Index value (Code 137).
                   "
           ::= { mipv6HAGlobalStats 11 }

       mipv6HaExpiredCareOfNonceIndex OBJECT-TYPE         -- (Code 137)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current

Expires: August 15, 2004                                       [Page 34]


Internet Draft                                         February 16, 2004

           DESCRIPTION
                   " The total number of Registration Requests denied by
                     home agent due to unrecognized/expired Care-of Nonce
                     Index (Code 137).
                   "
           ::= { mipv6HAGlobalStats 12 }

       mipv6HaExpiredNonce OBJECT-TYPE                    -- (Code 138)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   " The total number of Registration Requests denied by
                     home agent due to unrecognized/expired Home Nonce
                     Index and Care-of Nonce Index values (Code 138).
                   "
           ::= { mipv6HAGlobalStats 13 }

       mipv6HaRegTypeChangeDisallowed OBJECT-TYPE         -- (Code 139)
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   " The total number of Registration Requests denied by
                     home agent due to mismatch of the home registration
                     flag in the existing binding and the value of the
                     Home Registration (H) bit in the Binding Update.
                   "
           ::= { mipv6HAGlobalStats 14 }

       mipv6HaHomeTestInitReceived     OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Home Test Init messages received by
                    the home agent."
           ::= { mipv6HAGlobalStats 15 }

       mipv6HaHomeTestSent       OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Home Test messages sent by the
                    home agent."
           ::= { mipv6HAGlobalStats 16 }

Expires: August 15, 2004                                       [Page 35]


Internet Draft                                         February 16, 2004

       mipv6HaBUReceived     OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total nubmer of binding updates received by the
                    home agent.
                   "
           ::= { mipv6HAGlobalStats 17 }

       mipv6HaBURepliesSent OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of binding acknowledgements sent
                    by the home agent.
                   "
           ::= { mipv6HAGlobalStats 18 }

       mipv6HaBRAdviceSent OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of binding acknowledgements sent
                    by the home agent with binding refresh advice
                    option on.
                   "
           ::= { mipv6HAGlobalStats 19 }

       mipv6HaEncapsUnavailable OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of Registration Requests denied by
                   the home agent -- requested encapsulation
                   unavailable (Code 72)."
           ::= { mipv6HAGlobalStats 20 }

       -- Home agent registration Counters per node

       haCounterTable OBJECT-TYPE
           SYNTAX      SEQUENCE OF HaCounterEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION

Expires: August 15, 2004                                       [Page 36]


Internet Draft                                         February 16, 2004

                   "A table containing registration statistics for all
                    mobile nodes registered with the home agent.
                   "
           ::= { mipv6HAStats 2 }

       haCounterEntry  OBJECT-TYPE
           SYNTAX      HaCounterEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "HA registration statistics for one mobile node."
           INDEX   { mipv6BindingHomeAddressType,
                     mipv6BindingHomeAddress
                   }
           ::= { haCounterTable 1 }

       HaCounterEntry      ::= SEQUENCE {
           haServiceRequestsAccepted   Counter32,
           haServiceRequestsDenied     Counter32,
           haOverallServiceTime        Counter32,
           haRecentServiceAcceptedTime TimeStamp,
           haRecentServiceDeniedTime   TimeStamp,
           haRecentServiceDeniedCode   Mipv6ServiceDeniedCode
           }

       haServiceRequestsAccepted OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                  "Total number of service requests for the mobile node
                   accepted by the home agent.
                  "
           ::= { haCounterEntry 1 }

       haServiceRequestsDenied   OBJECT-TYPE
           SYNTAX      Counter32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Total number of service requests for the mobile node
                    denied by the home agent.
                   "
           ::= { haCounterEntry 2 }

       haOverallServiceTime   OBJECT-TYPE
           SYNTAX      Counter32
           UNITS       "seconds"

Expires: August 15, 2004                                       [Page 37]


Internet Draft                                         February 16, 2004

           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "Overall service time (in seconds) that has
                    accumulated for the mobile node since the home agent
                    last rebooted.
                   "
           ::= { haCounterEntry 3 }

       haRecentServiceAcceptedTime  OBJECT-TYPE
           SYNTAX      TimeStamp
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The time at which the most recent Registration
                   Request was accepted by the home agent for this mobile
                   node."
           ::= { haCounterEntry 4 }

       haRecentServiceDeniedTime  OBJECT-TYPE
           SYNTAX      TimeStamp
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The time at which the most recent Registration
                   Request was denied by the home agent for this mobile
                   node."
           ::= { haCounterEntry 5 }

       haRecentServiceDeniedCode  OBJECT-TYPE
           SYNTAX      Mipv6ServiceDeniedCode
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The Code indicating the reason why the most recent
                   Registration Request for this mobile node was rejected
                   by the home agent."
           ::= { haCounterEntry 6 }

       -- Home Agent List Table

       haListTable OBJECT-TYPE
           SYNTAX      SEQUENCE OF HaListEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "This table contains the list of all routers that
                    are acting as home agents on each of the interfaces

Expires: August 15, 2004                                       [Page 38]


Internet Draft                                         February 16, 2004

                    on which the home agent service is offered by this
                    router.
                   "
           ::= { mipv6HAAdvertisement 3 }

       haListEntry  OBJECT-TYPE
           SYNTAX      HaListEntry
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "Information about a router offering the home
                    agent service.
                   "
           INDEX   { ipv6IfIndex, haLinkLocalAddressType, haLinkLocalAddressType }
           ::= { haListTable 1 }

       HaListEntry      ::= SEQUENCE {
           haLinkLocalAddressType      InetAddressType,
           haLinkLocalAddress          InetAddress,
           haGlobalAddressType         InetAddressType,
           haGlobalAddress             InetAddress,
           haPreference                Integer32,
           haRecvLifeTime              Gauge32,
           haRecvTimeStamp             TimeStamp
           }

       haLinkLocalAddressType  OBJECT-TYPE
           SYNTAX      InetAddressType
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "The address type for the link-local address
                    of the home agent that follows.
                   "
           ::= { haListEntry 1 }

       haLinkLocalAddress  OBJECT-TYPE
           SYNTAX      InetAddress (SIZE (16|20))
           MAX-ACCESS  not-accessible
           STATUS      current
           DESCRIPTION
                   "The link-local address of the home agent.
                   "
           ::= { haListEntry 2 }

       haGlobalAddressType  OBJECT-TYPE
           SYNTAX      InetAddressType
           MAX-ACCESS  read-only

Expires: August 15, 2004                                       [Page 39]


Internet Draft                                         February 16, 2004

           STATUS      current
           DESCRIPTION
                   "The address type for the global address of the
                    home agent that follows.
                   "
           ::= { haListEntry 3 }

      haGlobalAddress  OBJECT-TYPE
           SYNTAX      InetAddress
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The global address of the home agent.
                   "
           ::= { haListEntry 4 }

      haPreference     OBJECT-TYPE
           SYNTAX      Integer32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The preference value of this home agent.
                    Higher values indicate a more preferable home
                    agent. The preference value is obtained from
                    the preference field of the received Router
                    Advertisement.
                   "
           ::= { haListEntry 5 }

      haRecvLifeTime       OBJECT-TYPE
           SYNTAX      Gauge32
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The lifetime for this home agent.
                   "
           ::= { haListEntry 6 }

      haRecvTimeStamp  OBJECT-TYPE
           SYNTAX      TimeStamp
           MAX-ACCESS  read-only
           STATUS      current
           DESCRIPTION
                   "The time when the HA advertisement was received.
                   "
           ::= { haListEntry 7 }

   --

Expires: August 15, 2004                                       [Page 40]


Internet Draft                                         February 16, 2004

   -- Notifications
   --

       mipv6HANotifications  OBJECT IDENTIFIER ::= { mipv6Notifications 0 }

       mipv6MNRegistered NOTIFICATION-TYPE
           OBJECTS   {
                       mipv6BindingTimeCreated,
                       mipv6BindingCOAType,
                       mipv6BindingCOA
                     }
           STATUS    current
           DESCRIPTION
                   "This notification is sent every time a mobile node
                    registers with the home agent for the first time.
                    Notifications will not be sent for subsequent updates
                    and/or refreshes.
                   "
           ::= { mipv6HANotifications 1 }

       mipv6MNMoved NOTIFICATION-TYPE
           OBJECTS   {
                       mipv6BindingTimeCreated,
                       mipv6BindingCOAType,
                       mipv6BindingCOA
                     }
           STATUS    current
           DESCRIPTION
                   "This notification is sent every time a mobile node
                    sends a binding update with a new Care-of address.
                    Notifications will not be sent for subsequent updates
                    and/or refreshes for the same Care-of address.
                   "
           ::= { mipv6HANotifications 2 }

       mipv6MNBindingExpiredAtHA NOTIFICATION-TYPE
           OBJECTS   {
                       mipv6BindingTimeCreated,
                       mipv6BindingCOAType,
                       mipv6BindingCOA
                     }
           STATUS    current
           DESCRIPTION
                   "This notification is sent when a binding for the
                    mobile node at the Home Agent expires and no timely
                    binding updates are received.
                   "

Expires: August 15, 2004                                       [Page 41]


Internet Draft                                         February 16, 2004

           ::= { mipv6HANotifications 3 }

       mipv6MNBindingExpiredAtCN NOTIFICATION-TYPE
           OBJECTS   {
                       mipv6BindingTimeCreated,
                       mipv6BindingCOAType,
                       mipv6BindingCOA
                     }
           STATUS    current
           DESCRIPTION
                   "This notification is sent when a binding for the
                    mobile node at the CN expires and no timely
                    binding updates are received.
                   "
           ::= { mipv6HANotifications 4 }

Expires: August 15, 2004                                       [Page 42]


Internet Draft                                         February 16, 2004

       -- Conformance information
      mipv6Groups      OBJECT IDENTIFIER ::= { mipv6Conformance 1 }
      mipv6Compliances OBJECT IDENTIFIER ::= { mipv6Conformance 2 }

       -- Units of conformance
      mipv6SystemGroup    OBJECT-GROUP
           OBJECTS {
                     mipv6Entities,
                     mipv6Enable,
                     mipv6BindingCacheSupported
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for basic mipv6
                     monitoring."
           ::= { mipv6Groups 1 }

      mipv6BindingCacheGroup    OBJECT-GROUP
           OBJECTS {
                 --  mipv6BindingHomeAddressType,
                 --  mipv6BindingHomeAddress,
                     mipv6BindingCOAType,
                     mipv6BindingCOA,
                     mipv6BindingMaxSeq,
                     mipv6BindingTimeGranted,
                     mipv6BindingTimeCreated,
                     mipv6BindingTimeRemaining
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring the
                     Binding cache.
                   "
           ::= { mipv6Groups 2 }

      mipv6BindingHstGroup    OBJECT-GROUP
           OBJECTS {
                  -- mipv6BindingHstHomeAddressType,
                  -- mipv6BindingHstHomeAddress,
                     mipv6BindingHstCOAType,
                     mipv6BindingHstCOA,
                  -- mipv6BindingHstIndex,
                     mipv6BindingHstTimeStamp
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring the
                     binding history. This can be used to monitor

Expires: August 15, 2004                                       [Page 43]


Internet Draft                                         February 16, 2004

                     the movement of the mobile node.
                   "
           ::= { mipv6Groups 3 }

      mipv6TotalTrafficGroup    OBJECT-GROUP
           OBJECTS {
                     mipv6InOctets,
                     mipv6InPkts,
                     mipv6OutOctets,
                     mipv6OutPkts
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring the
                     total MIPv6 traffic.
                   "
           ::= { mipv6Groups 4 }

      mipv6NodeTrafficGroup    OBJECT-GROUP
           OBJECTS {
                     mipv6NodeInOctets,
                     mipv6NodeInPkts,
                     mipv6NodeOutOctets,
                     mipv6NodeOutPkts
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring the
                     MIPv6 traffic due to a mobile node.
                   "
           ::= { mipv6Groups 5 }

      mipv6MNSystemGroup    OBJECT-GROUP
           OBJECTS {
                     mipv6MnState,
                     mipv6MnHomeAddressType,
                     mipv6MnHomeAddress
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for basic monitoring
                     of the Mobile Node.
                   "
           ::= { mipv6Groups 6 }

      mipv6MNDiscoveryGroup   OBJECT-GROUP
           OBJECTS {
                     mipv6MnAdvSourceAddress,

Expires: August 15, 2004                                       [Page 44]


Internet Draft                                         February 16, 2004

                     mipv6MnAdvSourceAddressType,
                     mipv6MnAdvMaxAdvLifetime,
                     mipv6MnAdvTimeReceived,
                     mipv6MnSolicitationsSent,
                     mipv6MnAdvertisementsReceived,
                     mipv6MnAdvertisementsIgnored,
                     mipv6MnMoveFromFNToFN,
                     mipv6MnMoveFromFNToHN,
                     mipv6MnAgentRebootsDectected
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring
                     the advertisement related info on the
                     Mobile Node.
                   "
           ::= { mipv6Groups 7 }

      mipv6MNRegistrationGroup  OBJECT-GROUP
           OBJECTS {
                  -- mipv6MnBLNodeAddressType,
                  -- mipv6MnBLNodeAddress,
                  -- mipv6MnBLCOAType,
                  -- mipv6MnBLCOA,
                     mipv6MnBLMaxSeq,
                     mipv6MnBLLifeTime,
                     mipv6MnBLLifeTimeRemaining,
                     mipv6MnBLTimeSent,
                     mipv6MnBLIsAccepted,
                     mipv6MnBLRetransmissions,
                     mipv6MnBLRetransTime,
                     mipv6MnControlMessagePackets,
                     mipv6MnBUsToHA,
                     mipv6MnBUAcksFromHA,
                     mipv6MnBUToCN,
                     mipv6MnBUAcksFromCN,
                     mipv6MnBindingErrorsFromCN,
                     mipv6MnICMPErrorReceived,
                     mipv6MnBRRequestsReceived,
                     mipv6MnBLDynAgDiscoverySent
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring
                     the registration statistics for the mobile node.
                   "
           ::= { mipv6Groups 8 }

Expires: August 15, 2004                                       [Page 45]


Internet Draft                                         February 16, 2004

      mipv6CNStatsGroup   OBJECT-GROUP
           OBJECTS {
                     mipv6CnServiceRequestsAccepted,
                     mipv6CnServiceRequestsDenied,
                     mipv6CnOverallServiceTime,
                     mipv6CnRecentServiceAcceptedTime,
                     mipv6CnRecentServiceDeniedTime,
                     mipv6CnRecentServiceDeniedCode
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring
                     the control messages and corresponding
                     statistics for each mobile node
                     communicating with the Correspondent
                     Node.
                   "
           ::= { mipv6Groups 9 }

      mipv6HASystemGroup   OBJECT-GROUP
           OBJECTS {
                     haAdvertisementsReceived,
                     haAdvLifetime,
                     haAdvPreference

          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring
                     the Advertisement related parameters and
                     statistics for the Home Agent.
                   "
           ::= { mipv6Groups 10 }

       mipv6HAListGroup   OBJECT-GROUP
           OBJECTS {
                  -- haLinkLocalAddressType,
                  -- haLinkLocalAddress,
                     haGlobalAddressType,
                     haGlobalAddress,
                     haPreference,
                     haRecvLifeTime,
                     haRecvTimeStamp

          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring

Expires: August 15, 2004                                       [Page 46]


Internet Draft                                         February 16, 2004

                     Home Agent list on the Home Agent.
                   "
           ::= { mipv6Groups 11 }

       mipv6HAStatsGroup   OBJECT-GROUP
           OBJECTS {
                     haServiceRequestsAccepted,
                     haServiceRequestsDenied,
                     haOverallServiceTime,
                     haRecentServiceAcceptedTime,
                     haRecentServiceDeniedTime,
                     haRecentServiceDeniedCode

          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring
                     registration related statistics on the Home Agent.
                   "
           ::= { mipv6Groups 12 }

       mipv6CNGlobalStatsGroup   OBJECT-GROUP
           OBJECTS {
                     mipv6CnBUAccepted,
                     mipv6CnReasonUnspecified,
                     mipv6CnAdmProhibited,
                     mipv6CnInsufficientResource,
                     mipv6CnHomeRegnNotSupported,
                     mipv6CnNotHomeSubnet,
                     mipv6CnNotHomeAgentForThisMN,
                     mipv6CnSeqNumberOutOfWindow,
                     mipv6CnExpiredHomeNonceIndex,
                     mipv6CnExpiredCareOfNonceIndex,
                     mipv6CnExpiredNonce,
                     mipv6CnRegTypeChangeDisallowed,
                     mipv6CnCareOfTestInitReceived,
                     mipv6CnHomeTestInitReceived,
                     mipv6CnCareOfTestSent,
                     mipv6CnHomeTestSent,
                     mipv6CnBUReceived,
                     mipv6CnBURepliesSent,
                     mipv6CnBRSent,
                     mipv6CnBindingErrors
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring
                     advertisement and registration statistics on

Expires: August 15, 2004                                       [Page 47]


Internet Draft                                         February 16, 2004

                     a Correspondent node.
                   "
           ::= { mipv6Groups 13 }

       mipv6HAGlobalStatsGroup   OBJECT-GROUP
           OBJECTS {
                     mipv6HaBUAccepted,
                     mipv6HaPrefDiscoverReqd,
                     mipv6HaReasonUnspecified,
                     mipv6HaAdmProhibited,
                     mipv6HaInsufficientResource,
                     mipv6HaHomeRegnNotSupported,
                     mipv6HaNotHomeSubnet,
                     mipv6HaNotHomeAgentForThisMN,
                     mipv6HaDupAddrDetectionFailed,
                     mipv6HaSeqNumberOutOfWindow,
                     mipv6HaExpiredHomeNonceIndex,
                     mipv6HaExpiredCareOfNonceIndex,
                     mipv6HaExpiredNonce,
                     mipv6HaRegTypeChangeDisallowed,
                     mipv6HaHomeTestInitReceived,
                     mipv6HaHomeTestSent,
                     mipv6HaBUReceived,
                     mipv6HaBURepliesSent,
                     mipv6HaBRAdviceSent,
                     mipv6HaEncapsUnavailable

          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for monitoring
                     advertisement and registration statistics on
                     a Home Agent.
                   "
           ::= { mipv6Groups 14 }

       mipv6NotificationGroup   OBJECT-GROUP
           OBJECTS {
                    mipv6MNRegistered,
                    mipv6MNMoved,
                    mipv6MNBindingExpiredAtHA,
                    mipv6MNBindingExpiredAtCN
          }
           STATUS  current
           DESCRIPTION
                   " A collection of objects for sending Notifications
                     from a Home Agent or Correspondent Node to the Manager
                     about the status of a mobile node.

Expires: August 15, 2004                                       [Page 48]


Internet Draft                                         February 16, 2004

                   "
           ::= { mipv6Groups 15 }

       -- Compliance statements
      mipv6CoreCompliance MODULE-COMPLIANCE
           STATUS  current
           DESCRIPTION
                   "The compliance statement for SNMP entities
                    which implement the MOBILE-IPV6-MIB."
           MODULE  -- this module
               MANDATORY-GROUPS { mipv6SystemGroup }
           ::= { mipv6Compliances 1 }

      mipv6Compliance2 MODULE-COMPLIANCE
           STATUS  current
           DESCRIPTION
                   "The compliance statement for SNMP entities
                    which implement the MOBILE-IPV6-MIB and support
                    monitoring of the BindingCache and the Total Traffic.
                   "
           MODULE  -- this module
               MANDATORY-GROUPS { mipv6SystemGroup,
                                  mipv6BindingCacheGroup,
                                  mipv6TotalTrafficGroup
                                   }
           ::= { mipv6Compliances 2 }

      mipv6Compliance3 MODULE-COMPLIANCE
           STATUS  current
           DESCRIPTION
                   "The compliance statement for SNMP entities
                    which implement the MOBILE-IPV6-MIB and
                    support monitoring of the BindingCache,
                    the Binding History, the total traffic and
                    the mobile node-wide traffic.
                   "
           MODULE  -- this module
               MANDATORY-GROUPS { mipv6SystemGroup,
                                  mipv6BindingCacheGroup,
                                  mipv6BindingHstGroup,
                                  mipv6TotalTrafficGroup,
                                  mipv6NodeTrafficGroup
                                 }
           ::= { mipv6Compliances 3 }

      mipv6MNCoreCompliance MODULE-COMPLIANCE
           STATUS  current

Expires: August 15, 2004                                       [Page 49]


Internet Draft                                         February 16, 2004

           DESCRIPTION
                   "The compliance statement for SNMP entities
                    which implement the MOBILE-IPV6-MIB and
                    support monitoring of the basic Mobile Node
                    functionality.
                   "
           MODULE  -- this module
               MANDATORY-GROUPS { mipv6MNSystemGroup
                                 }
           ::= { mipv6Compliances 4 }

      mipv6MNCompliance2 MODULE-COMPLIANCE
           STATUS  current
           DESCRIPTION
                   "The compliance statement for SNMP entities
                    which implement the MOBILE-IPV6-MIB and
                    support monitoring of the Mobile Node
                    functionality specifically the Discovery and
                    Registration related statistics,
                   "
           MODULE  -- this module
               MANDATORY-GROUPS { mipv6MNSystemGroup,
                                  mipv6MNDiscoveryGroup,
                                  mipv6MNRegistrationGroup
                                 }
           ::= { mipv6Compliances 5 }

      mipv6CNCoreCompliance MODULE-COMPLIANCE
           STATUS  current
           DESCRIPTION
                   "The compliance statement for SNMP entities
                    which implement the MOBILE-IPV6-MIB and
                    support monitoring of the basic Correspondent Node
                    functionality.
                   "
           MODULE  -- this module
               MANDATORY-GROUPS { mipv6CNGlobalStatsGroup
                                 }
           ::= { mipv6Compliances 6 }

      mipv6CNCompliance MODULE-COMPLIANCE
           STATUS  current
           DESCRIPTION
                   "The compliance statement for SNMP entities
                    which implement the MOBILE-IPV6-MIB and
                    support monitoring of the basic Correspondent Node
                    functionality.
                   "

Expires: August 15, 2004                                       [Page 50]


Internet Draft                                         February 16, 2004

           MODULE  -- this module
               MANDATORY-GROUPS { mipv6CNGlobalStatsGroup,
                                  mipv6CNStatsGroup
                                 }
           ::= { mipv6Compliances 7 }

      mipv6HACoreCompliance MODULE-COMPLIANCE
           STATUS  current
           DESCRIPTION
                   "The compliance statement for SNMP entities
                    which implement the MOBILE-IPV6-MIB and
                    support monitoring of the basic Home Agent
                    functionality.
                   "
           MODULE  -- this module
               MANDATORY-GROUPS { mipv6HASystemGroup
                                 }
           ::= { mipv6Compliances 8 }

      mipv6HACompliance2 MODULE-COMPLIANCE
           STATUS  current
           DESCRIPTION
                   "The compliance statement for SNMP entities
                    which implement the MOBILE-IPV6-MIB and
                    support monitoring of the Home Agent
                    functionality specifically the Home Agent list
                    and the Home Agent Registration related statistics,
                   "
           MODULE  -- this module
               MANDATORY-GROUPS { mipv6HASystemGroup,
                                  mipv6HAListGroup,
                                  mipv6HAStatsGroup,
                                  mipv6HAGlobalStatsGroup
                                 }
           ::= { mipv6Compliances 9 }

       mipv6NotificationCompliance MODULE-COMPLIANCE
           STATUS  current
           DESCRIPTION
                   "The compliance statement for SNMP entities
                    which implement the MOBILE-IPV6-MIB and
                    support Notification from HA or CN to management
                    stations about the mobile node status.
                   "
           MODULE  -- this module
               MANDATORY-GROUPS { mipv6NotificationGroup
                                 }
           ::= { mipv6Compliances 10 }

Expires: August 15, 2004                                       [Page 51]


Internet Draft                                         February 16, 2004

      END

Expires: August 15, 2004                                       [Page 52]


Internet Draft                                         February 16, 2004

6.  Intellectual Property

   The IETF takes no position regarding the validity or scope of any
   intellectual property or other rights that might be claimed to
   pertain to the implementation or use of the technology described in
   this document or the extent to which any license under such rights
   might or might not be available; neither does it represent that it
   has made any effort to identify any such rights.  Information on the
   IETF's procedures with respect to rights in standards-track and
   standards-related documentation can be found in BCP-11.  Copies of
   claims of rights made available for publication and any assurances of
   licenses to be made available, or the result of an attempt made to
   obtain a general license or permission for the use of such
   proprietary rights by implementors or users of this specification can
   be obtained from the IETF Secretariat.

   The IETF invites any interested party to bring to its attention any
   copyrights, patents or patent applications, or other proprietary
   rights which may cover technology that may be required to practice
   this standard.  Please address the information to the IETF Executive
   Director.

7.  Acknowledgments

This draft is the product of discussions and deliberations carried out
in the WIDE-netman group.

Expires: August 15, 2004                                       [Page 53]


Internet Draft                                         February 16, 2004

References

[Normative References]

[RFC2578]   McCloghrie, K., Perkins, D., Schoenwaelder, J., Case, J.,
            Rose, M., and S. Waldbusser, "Structure of Management
            Information Version 2 (SMIv2)", STD 58, RFC 2578, April 1999

[RFC2579]   McCloghrie, K., Perkins, D., Schoenwaelder, J., Case, J.,
            Rose, M., and S. Waldbusser, "Textual Conventions for
            SMIv2", STD 58, RFC 2579, April 1999

[RFC2580]   McCloghrie, K., Perkins, D., Schoenwaelder, J., Case, J.,
            Rose, M., and S. Waldbusser, "Conformance Statements for
            SMIv2", STD 58, RFC 2580, April 1999

[MIPv6]     Johnson, D., Perkins, C., Arkko J., "Mobility Support in IPv6"
            draft-ietf-mobileip-ipv6-24.txt, work in progress,
            June 30, 2003.

[Informative References]

[RFC2570]   Case, J., Mundy, R., Partain, D., and B. Stewart,
            "Introduction to Version 3 of the Internet-standard Network
            Management Framework", RFC 2570, April 1999

[RFC2571]   Harrington, D., Presuhn, R., and B. Wijnen, "An Architecture
            for Describing SNMP Management Frameworks", RFC 2571, April
            1999

[RFC2572]   Case, J., Harrington D., Presuhn R., and B. Wijnen, "Message
            Processing and Dispatching for the Simple Network Management
            Protocol (SNMP)", RFC 2572, April 1999

[RFC2573]   Levi, D., Meyer, P., and B. Stewart, "SNMPv3 Applications",
            RFC 2573, April 1999

[RFC2574]   Blumenthal, U., and B. Wijnen, "User-based Security Model
            (USM) for version 3 of the Simple Network Management
            Protocol (SNMPv3)", RFC 2574, April 1999

[RFC2575]   Wijnen, B., Presuhn, R., and K. McCloghrie, "View-based
            Access Control Model (VACM) for the Simple Network
            Management Protocol (SNMP)", RFC 2575, April 1999.

[RFC3410]  Case, J., Mundy, R., Partain, D., and B. Stewart,
           "Introduction and Applicability Statements for the
            Internet-Standard Management Framework", RFC 3410,

Expires: August 15, 2004                                       [Page 54]


Internet Draft                                         February 16, 2004

            December 2002.

Expires: August 15, 2004                                       [Page 55]


Internet Draft                                         February 16, 2004

Security Considerations

   There are a number of management objects defined in this MIB module
   with a MAX-ACCESS clause of read-write and/or read-create.  Such
   objects may be considered sensitive or vulnerable in some network
   environments.  The support for SET operations in a non-secure
   environment without proper protection can have a negative effect on
   network operations.  These are the tables and objects and their
   sensitivity/vulnerability:
        mipv6Enable: This value of this object is used to enable or
                     disable the mipv6 functionality on a mipv6 entity.
                     Access to this MO may be abused to disrupt the
                     mipv6 communication.
        haAdvLifetime: Access to this object may be abused to set the
                     advertised lifetime to incorrect values. That will
                     have an adverse impact on the mipv6 communication.
        haAdvPreference: Access to this object may be abused to force
                     MNs into selecting the wrong HA.
   Some of the readable objects in this MIB module (i.e., objects with a
   MAX-ACCESS other than not-accessible) may be considered sensitive or
   vulnerable in some network environments.  It is thus important to
   control even GET and/or NOTIFY access to these objects and possibly
   to even encrypt the values of these objects when sending them over
   the network via SNMP.  These are the tables and objects and their
   sensitivity/vulnerability:

    The address related objects in this MIB may be considered to be
    particularly sensitive and/or private.  The care of address related
    objects reveal the location and movement of the mobile node. This
    information may be considered to be private and sensitive and must
    be carefully handled.
        mipv6BindingHstCOAType
        mipv6BindingHstCOA
        mipv6MnBLCOAType
        mipv6MnBLCOA

    The mobile node's home address and home agent related information
    may be considered to be sensitive too as these may provide clues to
    a malicious party on ways to disrupt the mobile nodes communication
    channels.
        mipv6BindingHstHomeAddressType,
        mipv6BindingHstHomeAddress,
        mipv6MnHomeAddressType,
        mipv6MnHomeAddress

    The Correspondent node's addresses related MOs will reveal the nodes
    with whom the MN is corresponding. This information may be
    considered private and sensitive.

Expires: August 15, 2004                                       [Page 56]


Internet Draft                                         February 16, 2004

        mipv6MnBLNodeAddressType,
        mipv6MnBLNodeAddress

   SNMP versions prior to SNMPv3 did not include adequate security.
   Even if the network itself is secure (for example by using IPSec),
   even then, there is no control as to who on the secure network is
   allowed to access and GET/SET (read/change/create/delete) the objects
   in this MIB module.

   It is RECOMMENDED that implementers consider the security features as
   provided by the SNMPv3 framework (see [RFC3410], section 8),
   including full support for the SNMPv3 cryptographic mechanisms (for
   authentication and privacy).

   Further, deployment of SNMP versions prior to SNMPv3 is NOT
   RECOMMENDED.  Instead, it is RECOMMENDED to deploy SNMPv3 and to
   enable cryptographic security.  It is then a customer/operator
   responsibility to ensure that the SNMP entity giving access to an
   instance of this MIB module is properly configured to give access to
   the objects only to those principals (users) that have legitimate
   rights to indeed GET or SET (change/create/delete) them.

Expires: August 15, 2004                                       [Page 57]


Internet Draft                                         February 16, 2004

   Authors' Addresses

      Glenn Mansfield Keeni
      Cyber Solutions Inc.
      6-6-3 Minami Yoshinari
      Aoba-ku, Sendai 989-3204
      Japan

      Phone: +81-22-303-4012
      EMail: [email-masked]

      Kenichi Nagami
      INTEC NetCore Inc.
      1-3-3, Shin-suna
      Koto-ku, Tokyo, 135-0075
      Japan

      Phone:  +81-3-5665-5069
      E-mail: [email-masked]

      Kazuhide Koide
      Tohoku University
      Katahira Campus
      Sendai
      Japan

      Phone: +81-22-217-5454
      E-mail: [email-masked]

      Sri Gundavelli
      Cisco Systems
      170 W.Tasman Drive,
      San Jose, CA 95134
      USA

      Phone: +1-408-527-6109
      Email: [email-masked]

Expires: August 15, 2004                                       [Page 58]


Internet Draft                                         February 16, 2004

Full Copyright statement

         "Copyright (C) The Internet Society (2003). All Rights
         Reserved.

         This document and translations of it may be copied and
         furnished to others, and derivative works that comment on or
         otherwise explain it or assist in its implmentation may be
         prepared, copied, published and distributed, in whole or in
         part, without restriction of any kind, provided that the above
         copyright notice and this paragraph are included on all such
         copies and derivative works.  However, this document itself may
         not be modified in any way, such as by removing the copyright
         notice or references to the Internet Society or other Internet
         organizations, except as needed for the  purpose of developing
         Internet standards in which case the procedures for copyrights
         defined in the Internet Standards process must be followed, or
         as required to translate it into languages other than English.

         The limited permissions granted above are perpetual and will
         not be revoked by the Internet Society or its successors or
         assigns.

         This document and the information contained herein is provided
         on an "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET
         ENGINEERING TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR
         IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE
         OF THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY
         IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
         PARTICULAR PURPOSE."

Expires: August 15, 2004                                       [Page 59]